Sisimai::Lhost::MailMarshal(3pm)

NAME
Sisimai::Lhost::MailMarshal - bounce mail decoder class for Trustwave Secure Email Gateway <https://www.trustwave.com/en-us/services/email-security/>.

SYNOPSIS
    use Sisimai::Lhost::MailMarshal;

DESCRIPTION
"Sisimai::Lhost::MailMarshal" decodes a bounce email which created by Trustwave Secure Email Gateway <https://www.trustwave.com/en-us/services/email-security/>: formerly MailMarshal SMTP. Methods in the module are called from only "Sisimai::Message".

CLASS METHODS

  "description()"
description() returns description string of this module.

    print Sisimai::Lhost::MailMarshal->description;

  "inquire(header data, reference to body string)"
inquire() method decodes a bounced email and return results as a array reference. See "Sisimai::Message" for more details.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2021,2023-2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.